package kandata.launcher;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

class LaunchAction extends AbstractAction {
	KandataLauncher launcher;
	LaunchAction(KandataLauncher launcher) {
		super("実行");
		putValue(SMALL_ICON, ApplicationResources.loadIcon("bird.png"));
		putValue(ACCELERATOR_KEY, KeyStroke.getKeyStroke(KeyEvent.VK_ENTER, 0));
		putValue(SHORT_DESCRIPTION, "Webアプリケーションの実行");
		this.launcher = launcher;
	}
	/** アクションが発生すると呼び出されます。 */
	public void actionPerformed(ActionEvent e) {
		launcher.launch();
	}
}
